function fitToRightByteUnit(value, unit) {
    const units = ['B', 'KB', 'MB', 'GB', 'TB', 'PB']
    let index = units.indexOf(unit)
    while ((value < 0 || value >= 1024) && (index >= 0 || index < units.length)) {
        if(value < 0) {
            value = value * 1024
            index = index - 1
        } else {
            value = value / 1024
            index = index + 1
        }
    }
    return `${parseInt(value)} ${units[index]}`
}

export { fitToRightByteUnit }
